Subject: Re: bug#39992: Merge external idlwave development efforts into GNU Emacs?

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 09:05:23 -0700

Stefan Kangas <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> I don't use it myself, but I noticed that there is ongoing development
>> of idlwave.el here:
>>
>>     https://github.com/jdtsmith/idlwave
>>
>> As far as I can tell from the git log, the last change to idlwave by
>> JD Smith was on Fri Apr 27 19:34:22 2007 +0000.
>>
>> Would it be possible to merge this effort into the version distributed
>> with GNU Emacs itself?  That way more users could benefit from the
>> improvements.
>
> I note that on the GitHub page, there has since been added a note:
>
>     Note: IDLWAVE is currently not maintained. In current form it
>     supports IDL v8.6, and is still in daily use by some users.
>
>     If you are interested in taking over IDLWAVE maintenance, please
>     post an issue. See the DEVELOP file for information on the file
>     structure layout.
>
> I'm not sure what this means for the idlwave we ship with Emacs.
>
> JD Smith, do you mind if someone else tries to on merge your external
> development efforts into Emacs itself?

The above email bounced, so I have now copied in the email address used
in the GitHub repository.